# Uses of Class
java.awt.AWTException

Packages that use AWTException
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.im.spi
Provides interfaces that enable the development of input methods that can be used with any Java runtime environment.

## Uses of AWTException in java.awt

Methods in java.awt that throw AWTException
Modifier and Type
Method
Description
`void`
SystemTray.`add(TrayIcon trayIcon)`
Adds a `TrayIcon` to the `SystemTray`.
`protected void`
Component.FlipBufferStrategy.`createBuffers(int numBuffers, BufferCapabilities caps)`
Creates one or more complex, flipping buffers with the given capabilities.
`void`
Canvas.`createBufferStrategy(int numBuffers, BufferCapabilities caps)`
Creates a new strategy for multi-buffering on this component with the required buffer capabilities.
`void`
Window.`createBufferStrategy(int numBuffers, BufferCapabilities caps)`
Creates a new strategy for multi-buffering on this component with the required buffer capabilities.
`VolatileImage`
GraphicsConfiguration.`createCompatibleVolatileImage(int width, int height, ImageCapabilities caps)`
Returns a `VolatileImage` with a data layout and color model compatible with this `GraphicsConfiguration`, using the specified image capabilities.
`VolatileImage`
GraphicsConfiguration.`createCompatibleVolatileImage(int width, int height, ImageCapabilities caps, int transparency)`
Returns a `VolatileImage` with a data layout and color model compatible with this `GraphicsConfiguration`, using the specified image capabilities and transparency value.
`VolatileImage`
Component.`createVolatileImage(int width, int height, ImageCapabilities caps)`
Creates a volatile off-screen drawable image, with the given capabilities.
`static Cursor`
Cursor.`getSystemCustomCursor(String name)`
Returns a system-specific custom cursor object matching the specified name.
Constructors in java.awt that throw AWTException
Modifier
Constructor
Description
`protected`
`FlipBufferStrategy(int numBuffers, BufferCapabilities caps)`
Creates a new flipping buffer strategy for this component.
``
`Robot()`
Constructs a Robot object in the coordinate system of the primary screen.
``
`Robot(GraphicsDevice screen)`
Creates a Robot for the given screen device.

## Uses of AWTException in java.awt.im.spi

Methods in java.awt.im.spi that throw AWTException
Modifier and Type
Method
Description
`Locale[]`
InputMethodDescriptor.`getAvailableLocales()`
Returns the locales supported by the corresponding input method.